aboutsummaryrefslogtreecommitdiff
path: root/files/etc/profile.d
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2011-02-18 20:01:40 -0200
committerSilvio Rhatto <rhatto@riseup.net>2011-02-18 20:01:40 -0200
commitaf85f475cc9d1c3e04f797f6b3d6487a26802646 (patch)
tree9bbca6ad9def39a04ff68c0891f13776b137dfff /files/etc/profile.d
parent4a7c7172e8725ce72df93924c4a4dcd87f75a569 (diff)
downloadpuppet-nodo-af85f475cc9d1c3e04f797f6b3d6487a26802646.tar.gz
puppet-nodo-af85f475cc9d1c3e04f797f6b3d6487a26802646.tar.bz2
Rewriting profile configuration
Diffstat (limited to 'files/etc/profile.d')
-rw-r--r--files/etc/profile.d/prompt.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/files/etc/profile.d/prompt.sh b/files/etc/profile.d/prompt.sh
new file mode 100644
index 0000000..85d7bff
--- /dev/null
+++ b/files/etc/profile.d/prompt.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+#
+# Fancy bash prompt.
+# See http://www.debian-administration.org/article/Fancy_Bash_Prompts
+#
+
+function command_prompt() {
+ exit_status="$?"
+ # colors
+ COLOR_RED="\[\033[31m\]"
+ COLOR_GREEN="\[\033[32m\]"
+ COLOR_YELLOW="\[\033[33m\]"
+ COLOR_BLUE="\[\033[34m\]"
+ COLOR_MAGENTA="\[\033[35m\]"
+ COLOR_CYAN="\[\033[36m\]"
+
+ COLOR_RED_BOLD="\[\033[31;1m\]"
+ COLOR_GREEN_BOLD="\[\033[32;1m\]"
+ COLOR_YELLOW_BOLD="\[\033[33;1m\]"
+ COLOR_BLUE_BOLD="\[\033[34;1m\]"
+ COLOR_MAGENTA_BOLD="\[\033[35;1m\]"
+ COLOR_CYAN_BOLD="\[\033[36;1m\]"
+
+ COLOR_NONE="\[\033[0m\]"
+ BOLD="\[\033[1m\]"
+
+ if [ "$exit_status" == "0" ]; then
+ status_color="${COLOR_GREEN}"
+ else
+ status_color="${COLOR_RED_BOLD}"
+ fi
+
+ PS1="(${status_color}${exit_status}${COLOR_NONE}) [${COLOR_RED}\D{%Y%m%d %H:%M:%S}${COLOR_NONE}] ${COLOR_GREEN}\u@\h${COLOR_NONE}:${COLOR_CYAN}\w${COLOR_NONE} \\$ "
+ PS2="${BOLD}>${OFF} "
+}
+
+PROMPT_COMMAND="command_prompt"